Package latest openconnect 7.08 and expose Pulse VPN in the UI

asked 2018-12-11 06:15:01 +0200

shmerl gravatar image

updated 2018-12-11 06:15:58 +0200

Packaged openconnect in Sailfish is ancient. Current release version of openconnect is 7.08.

It also supports Pulse VPN (former Juniper VPN), but only in the recent versions, so packaging the up to date one will be quite useful. Please also expose in the UI the ability to select Pulse VPN type (in addition to Cisco's AnyConnect which is the common one supported by openconnect).

And please provide ability to support 2FA (two factor authentication) through openconnect. It's supported for example in KDE and Gnome network manager, where openconnect parses forms dynamically.

edit retag flag offensive close delete